IntelliCAD 11.1 Object Library
AddTorus Method
See Also 
Center
A Point object representing the center point of the torus.
TorusRadius
The radius of the torus (distance from center of torus to center of tube).
TubeRadius
The radius of the tube.
ModelSpace Collection : AddTorus Method

Description

Adds a polygon mesh torus given the location, torus radius and tube radius.

Syntax

Visual Basic
Public Function AddTorus( _
   ByVal Center As Point, _
   ByVal TorusRadius As Double, _
   ByVal TubeRadius As Double _
) As Solid3D

Parameters

Center
A Point object representing the center point of the torus.
TorusRadius
The radius of the torus (distance from center of torus to center of tube).
TubeRadius
The radius of the tube.

Remarks

The torus will be drawn as a polygon mesh when object is a ModelSpace or PaperSpace collection object or a Block object. The torus will be drawn as an ACIS 3DSolid when object is a SolidCreator object. The optional SolidCreator object is only available in IntelliCAD versions that support ACIS 3DSolids.

Example

Private Sub AddTorus_Example()

     ' This example adds a torus to the drawing.

     Dim myDoc As IntelliCAD.Document

     Dim boxObj As IntelliCAD.PolygonMesh

     Dim cenPt As Point

     Set myDoc = ActiveDocument

     Set cenPt = Library.CreatePoint(1, 1, 0)

     Set torusObj = ThisDocument.ModelSpace.AddTorus(cenPt, 4, 2)

     torusObj.Update

ThisDocument.Application.ZoomExtents

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.